com.rscja.barcode

## Enum BarcodeUtility.ModuleType

- java.lang.Object
- - java.lang.Enum<BarcodeUtility.ModuleType>
  - - com.rscja.barcode.BarcodeUtility.ModuleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BarcodeUtility.ModuleType>
  Enclosing class:
    BarcodeUtility

      public static enum BarcodeUtility.ModuleType
      extends java.lang.Enum<BarcodeUtility.ModuleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTOMATIC_ADAPTATION`
    `BARCODE_1D`
    `BARCODE_2D`
    `BARCODE_2D_H`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static BarcodeUtility.ModuleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BarcodeUtility.ModuleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BARCODE_1D

          public static final BarcodeUtility.ModuleType BARCODE_1D

    - #### BARCODE_2D_H

          public static final BarcodeUtility.ModuleType BARCODE_2D_H

    - #### BARCODE_2D

          public static final BarcodeUtility.ModuleType BARCODE_2D

    - #### AUTOMATIC_ADAPTATION

          public static final BarcodeUtility.ModuleType AUTOMATIC_ADAPTATION

  - ### Method Detail

    - #### values

          public static BarcodeUtility.ModuleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BarcodeUtility.ModuleType c : BarcodeUtility.ModuleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BarcodeUtility.ModuleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()